Summary:     Securely and quickly copy data from source to target
Name:        bbcp
Version:     15.02.03.01.1
Release:     2
Vendor:      SLAC
License:     LGPL-3.0
Group:       External packages
URL:         http://www.slac.stanford.edu/~abh/bbcp/
Packager:    Michael Perzl <michael@perzl.org>
Source0:     %{name}-%{version}.tar.bz2
Patch0:      %{name}-%{version}-aix.patch
Patch1:      %{name}-make32bit.patch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc >= 4.5.4-1, gcc-c++ >= 4.5.4-1
BuildRequires: libstdc++-devel >= 4.5.4-1
#BuildRequires: openssl-devel >= 1.0.2l-1
BuildRequires: zlib-devel >= 1.2.3-7

Requires: libgcc >= 4.5.4-1, libstdc++ >= 4.5.4-1
#Requires: openssl >= 1.0.2l-1
Requires: zlib >= 1.2.3-7

%description
bbcp is a point-to-point network file copy application written by
Andy Hanushevsky at SLAC. 
It is capable of transferring files at approaching line speeds in the WAN.


%prep
%setup -n %{name} -q
%patch0

# Duplicate source for 32 & 64 bits
rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/
cd 32bit
%patch1

%build
# First build 64bit version
cd 64bit
cd src
OBJECT_MODE=64 DEST_SYSNAME=AIX make

# Now build 32bit version
cd ../../32bit
cd src 
OBJECT_MODE=32 DEST_SYSNAME=AIX make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd 64bit
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp bin/AIX/%{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
cp bin/AIX/%{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}_64
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip -X64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ../32bit
cp bin/AIX/%{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}_32
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip -X32 ${RPM_BUILD_ROOT}%{_bindir}/* || :


cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/bbcp




%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system) 
%{_bindir}/*
/usr/bin/*


%changelog
* Thu Apr 17 2025 Sumitra Dawn <Sumitra.Dawn@ibm.com> 15.02.03.01.1-2
- Rebuild for AIX 7.1 using RPMv4

* Fri Feb 09 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 15.02.03.01.1-1
- Initial Port to AIX
